%define name goffice
%define version 0.3.0

%define api 0
%define major 3
%define libname %mklibname %name %{api}_%major

Summary: Set of document centric objects and utilities for glib/gtk
Name: %{name}
Version: %{version}
Release: %mkrel 2
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/%{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	intltool
BuildRequires: gtk+2-devel
BuildRequires: libgnomeprint-devel >= 2.8.2
BuildRequires: libgsf-devel >= 1:1.13.3
BuildRequires: libglade2.0-devel
BuildRequires: gtk-doc
BuildRequires: perl-XML-Parser

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:  %{summary}
Group: %{group}
Requires: %name >= %version

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%package -n %libname-devel
Summary:  %{summary}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
Development files of the Goffice library.

%prep
%setup -q

#fix build
aclocal-1.8
automake-1.8
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name-%version.lang
%makeinstall_std
%find_lang %name-%version
find %buildroot -name \*.la|xargs chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name-%version.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS ChangeLog MAINTAINERS
%_datadir/%name
%_datadir/pixmaps/%name
%dir %_libdir/%name/

%files -n %libname
%defattr(-,root,root)
%_libdir/libgoffice-%api.so.%{major}*
%_libdir/%name/*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/libgoffice-0.3/
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/goffice/

%changelog
* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2007.0
- Rebuild

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.3.0-1mdv2007.0
- Release 0.3.0

* Thu Mar 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- rebuild for new libgsf

* Wed Mar 01 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-3mdk
- BuildRequires: automake1.8
- BuildRequires: intltool

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.0-2mdk
- Fix build

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- new major
- New release 0.2.0

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- New release 0.1.2

* Mon Nov  7 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- bump deps
- New release 0.1.1

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 0.1.0-1mdk
- new major
- bump deps
- New release 0.1.0

* Thu Sep 08 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- New release 0.0.4

* Fri Sep  2 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-2mdk
- rebuild to remove glitz dep

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-1mdk
- bump deps
- New release 0.0.3

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-2mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-1mdk
- initial package
